require 'test_helper'

class RecallsControllerTest < ActionDispatch::IntegrationTest
  setup do
    @recall = recalls(:one)
  end

  test "should get index" do
    get recalls_url
    assert_response :success
  end

  test "should get new" do
    get new_recall_url
    assert_response :success
  end

  test "should create recall" do
    assert_difference('Recall.count') do
      post recalls_url, params: { recall: { description: @recall.description, part_id: @recall.part_id } }
    end

    assert_redirected_to recall_url(Recall.last)
  end

  test "should show recall" do
    get recall_url(@recall)
    assert_response :success
  end

  test "should get edit" do
    get edit_recall_url(@recall)
    assert_response :success
  end

  test "should update recall" do
    patch recall_url(@recall), params: { recall: { description: @recall.description, part_id: @recall.part_id } }
    assert_redirected_to recall_url(@recall)
  end

  test "should destroy recall" do
    assert_difference('Recall.count', -1) do
      delete recall_url(@recall)
    end

    assert_redirected_to recalls_url
  end
end
