require 'test_helper'

module Automobiles
  class CalculatePriceTest < ActiveSupport::TestCase
    setup do
      @automobile = automobiles(:civic)
    end

    test "should calculate 1000.00 correctly" do
      service = Automobiles::CalculatePrice.call(@automobile)
      assert_equal 1000.00, service
    end

    test "should calculate 250.00 correctly" do
      @automobile.update(parts: [parts(:clutch)])
      service = Automobiles::CalculatePrice.call(@automobile)
      assert_equal 250.00, service
    end

    test "should calculate 1250.00 correctly" do
      @automobile.update(parts: [parts(:clutch), parts(:engine)])
      service = Automobiles::CalculatePrice.call(@automobile)
      assert_equal 1250.00, service
    end

    test "should calculate 0.00 correctly" do
      @automobile.update(parts: [])
      service = Automobiles::CalculatePrice.call(@automobile)
      assert_in_delta 0.00, service, 0.01
    end
  end
end