require 'test_helper'

module Automobiles
  class CalculateWeightTest < ActiveSupport::TestCase
    setup do
      @automobile = automobiles(:civic)
    end

    test "should calculate 500.00 correctly" do
      service = Automobiles::CalculateWeight.call(@automobile)
      assert_equal 500.00, service
    end

    test "should calculate 10.00 correctly" do
      @automobile.update(parts: [parts(:clutch)])
      service = Automobiles::CalculateWeight.call(@automobile)
      assert_equal 10.00, service
    end

    test "should calculate 510.00 correctly" do
      @automobile.update(parts: [parts(:clutch), parts(:engine)])
      service = Automobiles::CalculateWeight.call(@automobile)
      assert_equal 510.00, service
    end

    test "should calculate 0.00 correctly" do
      @automobile.update(parts: [])
      service = Automobiles::CalculateWeight.call(@automobile)
      assert_in_delta 0.00, service, 0.01
    end
  end
end